Update Flow Export Job

Update Flow Export Job
Update an export job

Updates the specified export job. Currently supports updating the status field only.

Notes:

  • Set status to PENDING_CANCEL to request cancellation of a running job.
  • Only the enterprise_admin and security_engineer roles can update export jobs.
Request
URI
PUT
https://{api_host}/intelligence/visualization/flow-exports/exports/{export-id}
COPY
Path Parameters
string
export-id
Required  

ID of export job to update


Request Body
Export of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineExport1
{
    "_revision": 1,
    "status": "PENDING_CANCEL"
}
Authentication
This operation uses the following authentication methods.
Responses
200

The updated export job

Returns Export of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineExport1
{
    "_links": [],
    "_revision": 2,
    "_create_user": "admin",
    "_create_time": 1782929641410,
    "_last_modified_user": "admin",
    "_last_modified_time": 1782929828660,
    "id": "acbb8dfd-a4cf-4df4-8581-330201080be1",
    "display_name": "export-job-acbb8dfd-a4cf-4df4-8581-330201080be1",
    "file_name": "app_flows.csv",
    "expiration_time": 1783534449000,
    "status": "PENDING_CANCEL",
    "file_size": 6953,
    "row_count": 18
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 900008,
    "module_name": "NsxIntelligence",
    "error_message": "Invalid args: Export job can only be cancelled when its current status is RUNNING."
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/visualization/flow-exports/exports/{export-id}